module((...), lube.menu_logic)
on_event[id.a_button] = function(menu, item, evt)
  if evt == event.click then
    sound:play(sounds.button_activate)
    ui:pop()
  end
end
on_event[id.b_button] = function(menu, item, evt)
  if evt == event.click then
    ui:pop()
    ui:pop()
  end
end
lookup_number_network_players = {
  "1",
  "2",
  "3",
  "4",
  "5",
  "6",
  "7",
  "8",
  "9",
  "10",
  "11",
  "12",
  "13",
  "14",
  "15",
  "16",
  "17",
  "18",
  "19",
  "20",
  "21",
  "22",
  "23",
  "24",
  "25",
  "26",
  "27",
  "28",
  "29",
  "30",
  "31",
  "32"
}
lookup_car_selection = {
  txt.fe_chosen_ucase,
  txt.fe_random_ucase,
  txt.fe_eagles_only_ucase,
  txt.fe_hosts_choice_ucase
}
lookup_limit_car_selection = {
  txt.fe_all_cars_ucase,
  txt.fe_hosts_unlocked_cars_ucase
}
values_number_network_players = {
  1,
  2,
  3,
  4,
  5,
  6,
  7,
  8,
  9,
  10,
  11,
  12,
  13,
  14,
  15,
  16,
  17,
  18,
  19,
  20,
  21,
  22,
  23,
  24,
  25,
  26,
  27,
  28,
  29,
  30,
  31,
  32
}
values_car_selection = {
  "chosen",
  "random",
  "eagles_only",
  "hosts_choice"
}
values_limit_car_selection = {
  "all_cars",
  "hosts_unlocked_cars"
}
function on_push(menu)
  menu:refresh()
end
function on_refresh(menu)
  local items = {}
  items[#items + 1] = spin_box_paged({
    id = id.number_network_players,
    text = txt.ui_fe_number_of_players_ucase,
    property_watch = "number_network_players",
    values = values_number_network_players,
    lookup = lookup_number_network_players
  })
  items[#items + 1] = spin_box_paged({
    id = id.car_selection,
    text = txt.ui_fe_car_select_ucase,
    property_watch = "profile_car_selection_mp",
    values = values_car_selection,
    lookup = lookup_car_selection
  })
  items[#items + 1] = spin_box_paged({
    id = id.limit_car_selection,
    text = txt.ui_fe_limit_car_selection_ucase,
    property_watch = "limit_car_selection",
    values = values_limit_car_selection,
    lookup = lookup_limit_car_selection
  })
  menu:send_item_message(id.options_list, message.set_new_content, {content = items})
  menu.limit_car_selection_item = menu:send_item_message(id.options_list, message.get_item, {
    id = id.limit_car_selection
  })
  car_selection_change(menu)
end
function on_pop(menu)
  menu.limit_car_selection_item = nil
  save_manager:save()
end
function car_selection_change(menu)
  if not menu.limit_car_selection_item then
    return
  end
  if properties.profile_car_selection_mp == "hosts_choice" then
    properties.limit_car_selection = "hosts_unlocked_cars"
    menu.limit_car_selection_item:disable()
  else
    menu.limit_car_selection_item:enable()
  end
end
add_item(watch({
  handler = car_selection_change,
  property_watch = "profile_car_selection_mp"
}))
